| FoxitPDFSDKforWeb v11.0.4 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
ViewModeController Class Reference
UIExtension » controllers

It is an abstract template class for the view mode switching controllers. More...

Inheritance diagram for ViewModeController:

## Public Member Functions
| constructor (component, viewModeName)
Public Member Functions inherited from Controller
| constructor (component)
| destroy ()
| Destruction this controller instance after component destroyed.
| getComponentByName (name)
| handle (...args)
Public Member Functions inherited from Disposable
| addDestroyHook (...hooks)
| Add a function to destroyHooks list, which will be called during destroy. More...
| destroy ()
| ownsTo (owner)
| Establishes an ownership relationship where this instance will be destroyed when the owner is destroyed. Additionally, the owner will be automatically removed from the destroyHooks list when this instance is destroyed. More...

## Additional Inherited Members
Static Public Member Functions inherited from Controller
static | extend (proto, statics)
| Extends from Controller class and generates a new Controller class! More...
static | getName ()
| Name of the controller class used in @controller directive. More...
Protected Member Functions inherited from Controller
| mounted ()
| This method is called after the component is inserted into DOM tree, where you can add some event listeners to the component or handle any other tasks. More...
| postlink ()
| This method is called during component postlink lifecycle. More...
| prelink ()
| This method is called during component prelink lifecycle. More...
Static Protected Member Functions inherited from Controller
static | services ()
Protected Attributes inherited from Controller
Component | component
| The component of this controller. More...

## Detailed Description

It is an abstract template class for the view mode switching controllers.

## Member Function Documentation

## ◆ constructor()

ViewModeController::constructor | ( |  | component,
|  |  | viewModeName
| ) |  |
| inline

Parameters

  component | Component - component instance such as <xbutton> or <dropdown-button> or <dropdown-item> etc.
  viewModeName | string - view mode name

@2025 Foxit Software Incorporated. All rights reserved.